## NAME

gt-compreads-compress - Generates compact encoding for fastq data.

## SYNOPSIS

gt compreads compress [option …] (-files file […])

## DESCRIPTION

-descs [yes|no]

  encode descriptions (default: no)

-files

  File(s) containing reads.

-name [string]

  specify base name for HCR to be generated. Only mandatory, if more than one file was given. (default: undefined)

-smap [string]

  file containing alphabet description. If "-smap" is not set, dna alphabet is used. (default: undefined)

-qrange [start end]

  specify range of quality values. All values smaller or equal to the lower bound will be converted to the lower bound. All values equal or larger than the upper bound will be converted to the upper bound. (default: undefined)

-srate [value]

  sampling rate, set to sensible default depending on sampling method (default: undefined)

-stype […]

  type of sampling one of regular - page - none (default: page)

-help

  display help and exit

-version

  display version information and exit

## REPORTING BUGS

Report bugs to https://github.com/genometools/genometools/issues.